Subject: Re: bug#21415: 25.0.50; Emacs Trunk -- pixelwise width/height for x-create-frame

From: martin rudalics <[email-masked]>
Date: Wed, 21 Oct 2015 10:02:50 +0200

> Ok, here comes a patch file for the "maximize" and "NSTRACE" rewrites, see
 > the file "emacs-commit-message.txt" for details. I would like you
 > (especially Keith, since Martin don't use OS X) to take a look at it before
 > I post in on emacs-devel and (unless people object) I commit it.

Great work!  For reasons I don't understand yet the patch also fixes my
biggest problem with GNUStep here, namely that an emacs -Q frame has two
tool bars initially.  Maximizing behavior is good though for some
reasons my maximized GNUStep frame (under xfce) still has no external
borders - if you have any ideas how to fix that please tell.  Making a
frame just full height works fine instead.

 > The patch below contains excluded code to maximize the frame the old way
 > using the system "zoom" function, and an excluded code section for a hybrid
 > maximize solution. Also, the code to restrict a frame to the screen height
 > is still present but excluded. Before I commit this to the archive I will
 > remove the excluded code, unless someone thinks that its worth while to
 > allow the user to configure this.

Let's leave the old code in for a couple of weeks - this way you keep
the changeset for the commit smaller.  If there are no complaints with
the new behavior remove it then.

 > You can enable the NSTRACE system by uncommenting a line in nsterm.h, see
 > comments for detail.

I shall test that soon and post my comments - if any.

 > In addition, I have included my own test file for frame maximization I
 > wrote to ensure that I didn't introduce any problems. Martin, if there are
 > anything in this you can use for your frame test file, feel free to use it.

Thanks for this as well.

There's one problem with the change log and the code comments: Please
stick to the rule to leave two empty spaces after each sentence.  Done
that please install your changes as soon as you have time to do so.

Now the only remaining issue we must fix before the release is that of
the non-shrinking echo area when toggling off the tool bar and the fact
that a frame keeps shrinking when turning off/on the tool bar.  I'll
look into that but if you have any ideas ...

Many thanks, martin